uniform sampler2D tex;



void main()
{	
/*
	vec3 color = texture2D(tex, gl_TexCoord[0].xy).rgb ;
	
	float red   = 1.55740772 * atan( color.r );
	float green = 1.55740772 * atan( color.g );
	float blue  = 1.55740772 * atan( color.b );
	
	
	gl_FragColor = vec4( vec3(red, green, blue), 1.0 );
	
	*/
	
	gl_FragColor = texture2D(tex, gl_TexCoord[0].xy);
}